Page MenuHomePhabricator

Bump our Nodepool package to 0.1.0
Closed, ResolvedPublic

Description

The nodepool package I have build uses upstream version just before tag 0.1.0 which introduces a dependency upon: python-novaclient >= 2.21.0.

At the time, Jessie only had 2.18. I found out today an updated package has been pushed to jessie-backports:

$ apt-cache policy python-novaclient
python-novaclient:
  Installed: 2:2.18.1-1
  Candidate: 2:2.18.1-1
  Version table:
     2:2.23.0-1~bpo8+1 0
        100 http://mirrors.wikimedia.org/debian/ jessie-backports/main amd64 Packages
 *** 2:2.18.1-1 0
        500 http://mirrors.wikimedia.org/debian/ jessie/main amd64 Packages
        100 /var/lib/dpkg/status

So we want to rebuild the nodepool package ( https://gerrit.wikimedia.org/r/#/q/project:operations/debs/nodepool,n,z ) with tag 1.0.0 and a dependency upon python-novaclient >= 2.21.0.

That will probably require some magic apt trick to have it install the version from backport (priority 100) over the jessie one (priority 500).

We could bump to version just before 0.1.1 which introduces python-shade absent from Jessie.

Details

Related Gerrit Patches:
operations/puppet : productionnodepool: use OpenStack modules from jessie-backports
operations/debs/nodepool : debianBump Debian package to 0.1.0-wmf1

Event Timeline

hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, Andrew.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 7 2015, 10:12 AM

http://backports.debian.org/Instructions/#index3h2 claims:

apt-get -t jessie-backports install "package"

But we should probably go with apt preference instead.

hashar renamed this task from Bump our Nodepool package to 1.0.0 to Bump our Nodepool package to 0.1.0 or just before 0.1.1.Jul 7 2015, 2:55 PM
hashar updated the task description. (Show Details)
hashar set Security to None.
hashar renamed this task from Bump our Nodepool package to 0.1.0 or just before 0.1.1 to Bump our Nodepool package to 0.1.0.Jul 29 2015, 8:29 AM

In operations/debs/nodepool.git

$ git diff debian..0.1.0 requirements.txt
...
-python-novaclient
+python-novaclient>=2.21.0
$

Change 227663 had a related patch set uploaded (by Hashar):
nodepool: use python-novaclient from jessie-backports

https://gerrit.wikimedia.org/r/227663

Change 227665 had a related patch set uploaded (by Hashar):
Bump Debian package to 0.1.0-wmf1

https://gerrit.wikimedia.org/r/227665

Build the package and put it at:

https://people.wikimedia.org/~hashar/debs/nodepool_0.1.0-wmf1/
terbium.eqiad.wmnet:/home/hashar/public_html/debs/nodepool_0.1.0-wmf1/*

The .deb depends simply on python-novaclient but we will provide the proper version via puppet https://gerrit.wikimedia.org/r/227663 .

hashar moved this task from Backlog to In-progress on the Continuous-Integration-Scaling board.
root@labnodepool1001:/root# dpkg -i nodepool_0.1.0-wmf1_amd64.deb
(Reading database ... 52061 files and directories currently installed.)
Preparing to unpack nodepool_0.1.0-wmf1_amd64.deb ...
Unpacking nodepool (0.1.0-wmf1) over (0.0.1-104-gddd6003-wmf4) ...
Setting up nodepool (0.1.0-wmf1) ...
root@labnodepool1001:/root# exit
hashar@labnodepool1001:~$ nodepool --version
0.1.0

Daemon seems to be working fine.

Change 227665 merged by Hashar:
Bump Debian package to 0.1.0-wmf1

https://gerrit.wikimedia.org/r/227665

Change 227663 merged by Andrew Bogott:
nodepool: use OpenStack modules from jessie-backports

https://gerrit.wikimedia.org/r/227663

hashar closed this task as Resolved.Jul 30 2015, 8:29 AM

I forgot to got any Nodepool package uploaded, so when the server got reinstalled puppet complained.

Andrew kindly uploaded v0.1.0:

hashar@labnodepool1001:~$ apt-cache policy nodepool
nodepool:
  Installed: 0.1.0-wmf1
  Candidate: 0.1.0-wmf1
  Version table:
 *** 0.1.0-wmf1 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages
        100 /var/lib/dpkg/status
hashar@labnodepool1001:~$

\O/